libglom-1.20: Glom::Relationship Class Reference

libglom-1.20 1.19.15

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Glom::Relationship Class Reference
Inheritance diagram for Glom::Relationship:
[legend]
Collaboration diagram for Glom::Relationship:
[legend]

List of all members.

## Public Member Functions
| Relationship ()
| Relationship (const Relationship& src)
| ~Relationship ()
Relationship& | operator= (const Relationship& src)
bool | operator== (const Relationship& src) const
Relationship* | clone () const
Glib::ustring | get_from_table () const
Glib::ustring | get_from_field () const
Glib::ustring | get_to_table () const
Glib::ustring | get_to_field () const
void | set_from_table (const Glib::ustring& strVal)
void | set_from_field (const Glib::ustring& strVal)
void | set_to_table (const Glib::ustring& strVal)
void | set_to_field (const Glib::ustring& strVal)
bool | get_auto_create () const
| Whether related records will be created automatically.
void | set_auto_create (bool val=true)
bool | get_allow_edit () const
| Whether related records may be edited through this relationship.
void | set_allow_edit (bool val=true)
bool | get_has_fields () const
| Whether the relationship specifies from and to fields.
bool | get_has_to_table () const
| Whether the relationship specifies a related table.

## Constructor & Destructor Documentation

Glom::Relationship::Relationship | ( |  | ) |

Glom::Relationship::Relationship | ( | const Relationship& | src | ) |

Glom::Relationship::~Relationship | ( |  | ) |

## Member Function Documentation

Relationship* Glom::Relationship::clone | ( |  | ) | const

bool Glom::Relationship::get_allow_edit | ( |  | ) | const

Whether related records may be edited through this relationship.

bool Glom::Relationship::get_auto_create | ( |  | ) | const

Whether related records will be created automatically.

Glib::ustring Glom::Relationship::get_from_field | ( |  | ) | const

Glib::ustring Glom::Relationship::get_from_table | ( |  | ) | const

bool Glom::Relationship::get_has_fields | ( |  | ) | const

Whether the relationship specifies from and to fields.

If not, then it specifies all records in the to table.

bool Glom::Relationship::get_has_to_table | ( |  | ) | const

Whether the relationship specifies a related table.

Glib::ustring Glom::Relationship::get_to_field | ( |  | ) | const

Glib::ustring Glom::Relationship::get_to_table | ( |  | ) | const

Relationship& Glom::Relationship::operator= | ( | const Relationship& | src | ) |

bool Glom::Relationship::operator== | ( | const Relationship& | src | ) | const

void Glom::Relationship::set_allow_edit | ( | bool | val = `true` | ) |

void Glom::Relationship::set_auto_create | ( | bool | val = `true` | ) |

void Glom::Relationship::set_from_field | ( | const Glib::ustring & | strVal | ) |

void Glom::Relationship::set_from_table | ( | const Glib::ustring & | strVal | ) |

void Glom::Relationship::set_to_field | ( | const Glib::ustring & | strVal | ) |

void Glom::Relationship::set_to_table | ( | const Glib::ustring & | strVal | ) |

The documentation for this class was generated from the following file:

- libglom/data_structure/relationship.h